## edgar 0.92-maemo1

=== libsdl-mixer1.2-1.2.6/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am for the SDL sample mixer library and players



SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
target_triplet = armv5tel-unknown-linux-gnueabi
noinst_PROGRAMS = playwave$(EXEEXT) playmus$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) \
	$(libSDL_mixerinclude_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/SDL_mixer.qpg.in \
	$(srcdir)/SDL_mixer.spec.in $(top_srcdir)/configure COPYING \
	config.guess config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES = SDL_mixer.spec SDL_mixer.qpg
am__installdirs = $(DESTDIR)$(libdir) $(DESTDIR)$(libSDL_mixerincludedir)
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 = mikmod/libmikmod.la
#am__DEPENDENCIES_2 = timidity/libtimidity.la
#am__DEPENDENCIES_3 = native_midi/libnativemidi.la
##am__DEPENDENCIES_3 = native_midi_gpl/libnativemidi_gpl.la
libSDL_mixer_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
am_libSDL_mixer_la_OBJECTS = load_aiff.lo load_voc.lo load_ogg.lo \
	mixer.lo music.lo music_cmd.lo music_ogg.lo wavestream.lo \
	effect_position.lo effect_stereoreverse.lo effects_internal.lo
libSDL_mixer_la_OBJECTS = $(am_libSDL_mixer_la_OBJECTS)
PROGRAMS = $(noinst_PROGRAMS)
playmus_SOURCES = playmus.c
playmus_OBJECTS = playmus.$(OBJEXT)
playmus_DEPENDENCIES = libSDL_mixer.la
playwave_SOURCES = playwave.c
playwave_OBJECTS = playwave.$(OBJEXT)
playwave_DEPENDENCIES = libSDL_mixer.la
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/effect_position.Plo \
	./$(DEPDIR)/effect_stereoreverse.Plo \
	./$(DEPDIR)/effects_internal.Plo \
	./$(DEPDIR)/load_aiff.Plo ./$(DEPDIR)/load_ogg.Plo \
	./$(DEPDIR)/load_voc.Plo ./$(DEPDIR)/mixer.Plo \
	./$(DEPDIR)/music.Plo ./$(DEPDIR)/music_cmd.Plo \
	./$(DEPDIR)/music_ogg.Plo ./$(DEPDIR)/playmus.Po \
	./$(DEPDIR)/playwave.Po ./$(DEPDIR)/wavestream.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c
DIST_SOURCES = $(libSDL_mixer_la_SOURCES) playmus.c playwave.c
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
libSDL_mixerincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libSDL_mixerinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DLIBMIKMOD_MUSIC -pthread -D_REENTRANT -DMOD_MUSIC -I$(top_srcdir)/mikmod -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = /usr/bin/libmikmod-config
LIBOBJS = 
LIBS =  -L/usr/lib -lmikmod -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS =  mikmod
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = #
USE_MIKMOD_TRUE = 
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = armv5tel-unknown-linux-gnueabi
target_alias = 
target_cpu = armv5tel
target_os = linux-gnueabi
target_vendor = unknown
lib_LTLIBRARIES = libSDL_mixer.la
SUBDIRS =  mikmod
DIST_SUBDIRS = mikmod timidity native_midi native_midi_gpl
libSDL_mixerincludedir = $(includedir)/SDL
libSDL_mixerinclude_HEADERS = \
	SDL_mixer.h

libSDL_mixer_la_SOURCES = \
	load_aiff.c		\
	load_aiff.h		\
	load_voc.c		\
	load_voc.h		\
	load_ogg.c		\
	load_ogg.h		\
	mixer.c			\
	music.c			\
	music_cmd.c		\
	music_cmd.h		\
	music_ogg.c		\
	music_ogg.h		\
	wavestream.c		\
	wavestream.h		\
	effect_position.c	\
	effect_stereoreverse.c	\
	effects_internal.c	\
	effects_internal.h

#MIKMOD_LIB = 
MIKMOD_LIB = mikmod/libmikmod.la
TIMIDITY_LIB = 
#TIMIDITY_LIB = timidity/libtimidity.la
NATIVE_MIDI_LIB = 
#NATIVE_MIDI_LIB = native_midi/libnativemidi.la
##NATIVE_MIDI_LIB = native_midi_gpl/libnativemidi_gpl.la
EXTRA_DIST = \
	CHANGES			\
	VisualC.zip		\
	PBProjects.tar.gz	\
	MPWmake.sea.bin		\
	CWProjects.sea.bin	\
	SDL_mixer.spec		\
	SDL_mixer.spec.in	\
	autogen.sh

libSDL_mixer_la_LDFLAGS = \
	-no-undefined		\
	-release $(LT_RELEASE)	\
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
	-export-symbols-regex Mix_.*

libSDL_mixer_la_LIBADD = $(MIKMOD_LIB) $(TIMIDITY_LIB) $(NATIVE_MIDI_LIB)  -lvorbisfile -lvorbis -logg -L/usr/lib -lSDL
playwave_LDADD = libSDL_mixer.la -L/usr/lib -lSDL
playmus_LDADD = libSDL_mixer.la -L/usr/lib -lSDL
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
SDL_mixer.spec: $(top_builddir)/config.status $(srcdir)/SDL_mixer.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
SDL_mixer.qpg: $(top_builddir)/config.status $(srcdir)/SDL_mixer.qpg.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkdir_p) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \

=== libsdl-mixer1.2-1.2.6/mikmod/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# mikmod/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libmikmod_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
target_triplet = armv5tel-unknown-linux-gnueabi
subdir = mikmod
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	AUTHORS COPYING.LESSER
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libmikmod_la_LIBADD =
am_libmikmod_la_OBJECTS = drv_nos.lo drv_sdl.lo load_it.lo load_mod.lo \
	load_s3m.lo load_xm.lo mdreg.lo mdriver.lo mloader.lo mlreg.lo \
	mlutil.lo mmalloc.lo mmerror.lo mmio.lo mplayer.lo munitrk.lo \
	mwav.lo npertab.lo sloader.lo virtch.lo virtch2.lo \
	virtch_common.lo
libmikmod_la_OBJECTS = $(am_libmikmod_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/drv_nos.Plo \
	./$(DEPDIR)/drv_sdl.Plo ./$(DEPDIR)/load_it.Plo \
	./$(DEPDIR)/load_mod.Plo ./$(DEPDIR)/load_s3m.Plo \
	./$(DEPDIR)/load_xm.Plo ./$(DEPDIR)/mdreg.Plo \
	./$(DEPDIR)/mdriver.Plo ./$(DEPDIR)/mloader.Plo \
	./$(DEPDIR)/mlreg.Plo ./$(DEPDIR)/mlutil.Plo \
	./$(DEPDIR)/mmalloc.Plo ./$(DEPDIR)/mmerror.Plo \
	./$(DEPDIR)/mmio.Plo ./$(DEPDIR)/mplayer.Plo \
	./$(DEPDIR)/munitrk.Plo ./$(DEPDIR)/mwav.Plo \
	./$(DEPDIR)/npertab.Plo ./$(DEPDIR)/sloader.Plo \
	./$(DEPDIR)/virtch.Plo ./$(DEPDIR)/virtch2.Plo \
	./$(DEPDIR)/virtch_common.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmikmod_la_SOURCES)
DIST_SOURCES = $(libmikmod_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DLIBMIKMOD_MUSIC -pthread -D_REENTRANT -DMOD_MUSIC -I$(top_srcdir)/mikmod -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = /usr/bin/libmikmod-config
LIBOBJS = 
LIBS =  -L/usr/lib -lmikmod -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS =  mikmod
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = #
USE_MIKMOD_TRUE = 
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = armv5tel-unknown-linux-gnueabi
target_alias = 
target_cpu = armv5tel
target_os = linux-gnueabi
target_vendor = unknown
noinst_LTLIBRARIES = libmikmod.la
libmikmod_la_SOURCES = \
	drv_nos.c		\
	drv_sdl.c		\
	load_it.c		\
	load_mod.c		\
	load_s3m.c		\
	load_xm.c		\
	mdreg.c			\
	mdriver.c		\
	mikmod.h		\
	mikmod_build.h		\
	mikmod_internals.h	\
	mloader.c		\
	mlreg.c			\
	mlutil.c		\
	mmalloc.c		\
	mmerror.c		\
	mmio.c			\
	mplayer.c		\
	munitrk.c		\
	mwav.c			\
	npertab.c		\
	sloader.c		\
	virtch.c		\
	virtch2.c		\
	virtch_common.c

EXTRA_DIST = AUTHORS COPYING.LESSER README
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  mikmod/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  mikmod/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmikmod.la: $(libmikmod_la_OBJECTS) $(libmikmod_la_DEPENDENCIES) 
	$(LINK)  $(libmikmod_la_LDFLAGS) $(libmikmod_la_OBJECTS) $(libmikmod_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/drv_nos.Plo
include ./$(DEPDIR)/drv_sdl.Plo
include ./$(DEPDIR)/load_it.Plo
include ./$(DEPDIR)/load_mod.Plo
include ./$(DEPDIR)/load_s3m.Plo
include ./$(DEPDIR)/load_xm.Plo
include ./$(DEPDIR)/mdreg.Plo
include ./$(DEPDIR)/mdriver.Plo
include ./$(DEPDIR)/mloader.Plo
include ./$(DEPDIR)/mlreg.Plo
include ./$(DEPDIR)/mlutil.Plo
include ./$(DEPDIR)/mmalloc.Plo
include ./$(DEPDIR)/mmerror.Plo
include ./$(DEPDIR)/mmio.Plo
include ./$(DEPDIR)/mplayer.Plo
include ./$(DEPDIR)/munitrk.Plo
include ./$(DEPDIR)/mwav.Plo
include ./$(DEPDIR)/npertab.Plo
include ./$(DEPDIR)/sloader.Plo
include ./$(DEPDIR)/virtch.Plo
include ./$(DEPDIR)/virtch2.Plo
include ./$(DEPDIR)/virtch_common.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \

=== libsdl-mixer1.2-1.2.6/native_midi/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# native_midi/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libnativemidi_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
target_triplet = armv5tel-unknown-linux-gnueabi
subdir = native_midi
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libnativemidi_la_LIBADD =
am_libnativemidi_la_OBJECTS = native_midi_common.lo native_midi_mac.lo \
	native_midi_win32.lo
libnativemidi_la_OBJECTS = $(am_libnativemidi_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/native_midi_common.Plo \
	./$(DEPDIR)/native_midi_mac.Plo \
	./$(DEPDIR)/native_midi_win32.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnativemidi_la_SOURCES)
DIST_SOURCES = $(libnativemidi_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DLIBMIKMOD_MUSIC -pthread -D_REENTRANT -DMOD_MUSIC -I$(top_srcdir)/mikmod -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = /usr/bin/libmikmod-config
LIBOBJS = 
LIBS =  -L/usr/lib -lmikmod -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS =  mikmod
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = #
USE_MIKMOD_TRUE = 
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = armv5tel-unknown-linux-gnueabi
target_alias = 
target_cpu = armv5tel
target_os = linux-gnueabi
target_vendor = unknown
noinst_LTLIBRARIES = libnativemidi.la
libnativemidi_la_SOURCES = \
	native_midi.h		\
	native_midi_common.c	\
	native_midi_common.h	\
	native_midi_mac.c	\
	native_midi_win32.c

INCLUDES = -I$(top_srcdir)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  native_midi/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  native_midi/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libnativemidi.la: $(libnativemidi_la_OBJECTS) $(libnativemidi_la_DEPENDENCIES) 
	$(LINK)  $(libnativemidi_la_LDFLAGS) $(libnativemidi_la_OBJECTS) $(libnativemidi_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/native_midi_common.Plo
include ./$(DEPDIR)/native_midi_mac.Plo
include ./$(DEPDIR)/native_midi_win32.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \

=== libsdl-mixer1.2-1.2.6/native_midi_gpl/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# native_midi_gpl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libnativemidi_gpl_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
target_triplet = armv5tel-unknown-linux-gnueabi
subdir = native_midi_gpl
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libnativemidi_gpl_la_LIBADD =
am_libnativemidi_gpl_la_OBJECTS = emumidi.lo native_midi_gpl.lo \
	patchload.lo playevents.lo readmidi.lo
libnativemidi_gpl_la_OBJECTS = $(am_libnativemidi_gpl_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/emumidi.Plo \
	./$(DEPDIR)/native_midi_gpl.Plo \
	./$(DEPDIR)/patchload.Plo \
	./$(DEPDIR)/playevents.Plo \
	./$(DEPDIR)/readmidi.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libnativemidi_gpl_la_SOURCES)
DIST_SOURCES = $(libnativemidi_gpl_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DLIBMIKMOD_MUSIC -pthread -D_REENTRANT -DMOD_MUSIC -I$(top_srcdir)/mikmod -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = /usr/bin/libmikmod-config
LIBOBJS = 
LIBS =  -L/usr/lib -lmikmod -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS =  mikmod
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = #
USE_MIKMOD_TRUE = 
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = armv5tel-unknown-linux-gnueabi
target_alias = 
target_cpu = armv5tel
target_os = linux-gnueabi
target_vendor = unknown
noinst_LTLIBRARIES = libnativemidi_gpl.la
libnativemidi_gpl_la_SOURCES = \
	awe_voice.h		\
	emumidi.c		\
	emumidi.h		\
	gmvoices.h		\
	gsvoices.h		\
	native_midi_gpl.c	\
	patchload.c		\
	playevents.c		\
	playmidi.h		\
	readmidi.c

INCLUDES = -I$(top_srcdir)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  native_midi_gpl/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  native_midi_gpl/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libnativemidi_gpl.la: $(libnativemidi_gpl_la_OBJECTS) $(libnativemidi_gpl_la_DEPENDENCIES) 
	$(LINK)  $(libnativemidi_gpl_la_LDFLAGS) $(libnativemidi_gpl_la_OBJECTS) $(libnativemidi_gpl_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/emumidi.Plo
include ./$(DEPDIR)/native_midi_gpl.Plo
include ./$(DEPDIR)/patchload.Plo
include ./$(DEPDIR)/playevents.Plo
include ./$(DEPDIR)/readmidi.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \

=== libsdl-mixer1.2-1.2.6/timidity/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# timidity/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libtimidity_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
target_triplet = armv5tel-unknown-linux-gnueabi
subdir = timidity
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libtimidity_la_LIBADD =
am_libtimidity_la_OBJECTS = common.lo controls.lo filter.lo instrum.lo \
	mix.lo output.lo playmidi.lo readmidi.lo resample.lo sdl_a.lo \
	sdl_c.lo tables.lo timidity.lo
libtimidity_la_OBJECTS = $(am_libtimidity_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/common.Plo \
	./$(DEPDIR)/controls.Plo ./$(DEPDIR)/filter.Plo \
	./$(DEPDIR)/instrum.Plo ./$(DEPDIR)/mix.Plo \
	./$(DEPDIR)/output.Plo ./$(DEPDIR)/playmidi.Plo \
	./$(DEPDIR)/readmidi.Plo ./$(DEPDIR)/resample.Plo \
	./$(DEPDIR)/sdl_a.Plo ./$(DEPDIR)/sdl_c.Plo \
	./$(DEPDIR)/tables.Plo ./$(DEPDIR)/timidity.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtimidity_la_SOURCES)
DIST_SOURCES = $(libtimidity_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DLIBMIKMOD_MUSIC -pthread -D_REENTRANT -DMOD_MUSIC -I$(top_srcdir)/mikmod -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = /usr/bin/libmikmod-config
LIBOBJS = 
LIBS =  -L/usr/lib -lmikmod -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS =  mikmod
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = #
USE_MIKMOD_TRUE = 
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/edgar/edgar-0.92/testi/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = armv5tel-unknown-linux-gnueabi
target_alias = 
target_cpu = armv5tel
target_os = linux-gnueabi
target_vendor = unknown
noinst_LTLIBRARIES = libtimidity.la
libtimidity_la_SOURCES = \
	common.c		\
	common.h		\
	config.h		\
	controls.c		\
	controls.h		\
	filter.c		\
	filter.h		\
	instrum.c		\
	instrum.h		\
	mix.c			\
	mix.h			\
	output.c		\
	output.h		\
	playmidi.c		\
	playmidi.h		\
	readmidi.c		\
	readmidi.h		\
	resample.c		\
	resample.h		\
	sdl_a.c			\
	sdl_c.c			\
	tables.c		\
	tables.h		\
	timidity.c		\
	timidity.h

EXTRA_DIST = FAQ README
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  timidity/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  timidity/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libtimidity.la: $(libtimidity_la_OBJECTS) $(libtimidity_la_DEPENDENCIES) 
	$(LINK)  $(libtimidity_la_LDFLAGS) $(libtimidity_la_OBJECTS) $(libtimidity_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/common.Plo
include ./$(DEPDIR)/controls.Plo
include ./$(DEPDIR)/filter.Plo
include ./$(DEPDIR)/instrum.Plo
include ./$(DEPDIR)/mix.Plo
include ./$(DEPDIR)/output.Plo
include ./$(DEPDIR)/playmidi.Plo
include ./$(DEPDIR)/readmidi.Plo
include ./$(DEPDIR)/resample.Plo
include ./$(DEPDIR)/sdl_a.Plo
include ./$(DEPDIR)/sdl_c.Plo
include ./$(DEPDIR)/tables.Plo
include ./$(DEPDIR)/timidity.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:

=== debian/changelog ===
edgar (0.92-maemo1) unstable; urgency=low
	
  * Modified keymap
  * Optified
  * SDL-mixer bundled

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 30 Aug 2011 12:59:31 +0020

=== debian/control ===
Source: edgar
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libmikmod2-dev, libvorbis-dev, libsmpeg-dev
Standards-Version: 3.7.2
Homepage:  http://www.parallelrealities.co.uk/edgar.php
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: edgar
Architecture: any
Depends: ${shlibs:Depends}
Description: 2D Platform Game
 .
 The Legend of Edgar. When his father fails to return home after venturing
 out one stormy night, Edgar sets off on a quest to rescue him.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	#omap2
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
	#omap3
#	CPPFLAGS += -mcpu=cortex-a8 -mfpu=vfp3 -mfloat-abi=softfp 
	CPPFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
	CPPFLAGS += -ftree-vectorize -fsingle-precision-constant
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	cd libsdl-mixer1.2-1.2.6 ; \
 ./configure \
  --enable-music-cmd=no\
  --enable-music-wave=no\
  --enable-music-libmikmod=yes\
  --enable-music-mod=yes\
  --enable-music-midi=no\
  --enable-music-timidity-midi=no\
  --enable-music-native-midi=no\
  --enable-music-native-midi-gpl=no\
  --enable-music-ogg=yes\
  --enable-music-mp3=no ; \
  make ; \
  cp effect_position.o \
  effects_internal.o  \
  load_ogg.o \
  mixer.o  \
  music_cmd.o  \
  wavestream.o \
  effect_stereoreverse.o \
  load_aiff.o \
  load_voc.o \
  music.o  \
  music_ogg.o   ../lib ; \
  cp mikmod/*.o  ../lib ; \
  cp *.h  ../lib/SDL 

	make
	make buildpak
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

	#binary
	install -d  ${CURDIR}/debian/edgar/opt/edgar/
	install ${CURDIR}/edgar ${CURDIR}/debian/edgar/opt/edgar/

	#data
	install ${CURDIR}/edgar.pak ${CURDIR}/debian/edgar/opt/edgar/

	#icon
	install -d  ${CURDIR}/debian/edgar/usr/share/pixmaps 
	install ${CURDIR}/icons/edgar.png  ${CURDIR}/debian/edgar/usr/share/pixmaps

	#menu
	install -d ${CURDIR}/debian/edgar/usr/share/applications/hildon
	install ${CURDIR}/debian/edgar.desktop ${CURDIR}/debian/edgar/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
